/*
 *  COPYRIGHT (c) 2009 Chris Johns <chrisj@rtems.org>
 *
 *  COPYRIGHT (c) 1989-2009 On-Line Applications Research Corporation (OAR).
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 *  http://www.rtems.com/license/LICENSE.
 *
 *  $Id$
 */
/**
 * @file
 *
 * @ingroup rtems-ext2fs
 *
 * EXT2FS Initialization
 *
 */

#if !defined(RTEMS_EXT2FS_DEFINED)
#define RTEMS_EXT2FS_DEFINED

#include <rtems.h>
#include <rtems/fs.h>

/*
 * File ops table for the EXT2 file system.
 */
const rtems_filesystem_operations_table rtems_ext2fs_ops;

/*
 * Initialise the EXT2 File system.
 */

int rtems_ext2fs_initialize(rtems_filesystem_mount_table_entry_t *mt_entry);

#endif
